import { IMatrix } from "./IMatrix";
import { IActivity } from "./IActivity";
import { IDeviceButton } from "./IDeviceButton";
import { IDeviceConfig } from "./IDeviceConfig";
import { IHub } from "./IHub";
import { ISequence } from "./ISequence";

export interface IControlUnit {
  DisplayName: string;
  Activities: Array<IActivity>;
}

export interface IConfig {
  hubIp: string;
  EmitDevicesOnStartup: boolean;
  Matrix: IMatrix;
  ControlUnits: Array<IControlUnit>;
  DeviceButtons: Array<IDeviceButton>;
  Sequences: Array<ISequence>;
  Devices: Array<IDeviceConfig>;
  Hubs: Array<IHub>;
}
